Master Wallet Transactions
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId}/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId}/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amlScreening": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"amount": "50.0",
"amountPaid": "50.0",
"amountUSD": "0.03382",
"asset": {
"address": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
"configurations": null,
"createdAt": "2025-04-17T04:50:20.008Z",
"currency": "NGN",
"decimals": 6,
"id": "b37c6961-1565-44f7-8a5a-c96ec754a4bc",
"isActive": true,
"isNative": false,
"name": "cNGN",
"network": "mainnet",
"standard": null,
"symbol": "cNGN",
"updatedAt": "2025-04-17T04:50:20.008Z"
},
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"blockHash": "0x6281485b1b148428cf2cd511aed48fd66db602aacfc8130bb0712e591c34e706",
"blockNumber": 41165815,
"blockchain": {
"configurations": null,
"createdAt": "2024-05-27T14:31:14.966Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "74733889-4ecd-403e-9840-94e87c043f24",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2024-11-26T20:04:13.945Z"
},
"chainId": 8453,
"confirmations": 221,
"confirmed": true,
"createdAt": "2026-01-22T22:29:28.679Z",
"createdChannel": "system",
"currency": "NGN",
"fee": null,
"feeHash": null,
"feeUSD": null,
"gasFee": "0.000000179550658988",
"gasPrice": "2538572",
"gasUsed": "70729",
"hash": "0xbe0c9a4dd314b6220c4eaae218003e753e948ce6183b5b92c764501e1b4e7c0a",
"id": "ad3ce9a3-3e1c-43dc-bb7f-2c570fc7bfdc",
"isAutoSweep": false,
"metadata": {
"autoFunding": {
"narration": "NIBSS:9018927611:SULEIMAN, ABDULFATAI:Sending:090267251107014024497001670835",
"senderAccountName": "SULEIMAN, ABDULFATAI",
"senderBankName": "KUDA MFB",
"sessionId": "09026725110701402449700167083590131815"
}
},
"network": "mainnet",
"note": "Auto funding of 50.0 cNGN to 0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"rate": null,
"rateUSD": "0.0006764",
"reason": null,
"recipientAddress": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"reference": "auto-funding-09026725110701402449700167083590131815",
"senderAddress": "0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4",
"signedTransaction": null,
"status": "SUCCESS",
"toAmount": null,
"toCurrency": null,
"tokenAddress": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
"type": "DEPOSIT",
"updatedAt": "2026-01-22T23:15:21.849Z"
}
],
"message": "Virtual account transactions retrieved successfully",
"meta": {
"currentPage": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalItems": 1,
"totalPages": 1
},
"statusCode": 200
}Master Wallet Transactions
Master Wallet Transactions
GET
/
v1
/
wallets
/
{id}
/
virtual-accounts
/
{vId}
/
transactions
Master Wallet Transactions
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"VIRTUAL_ACCOUNT_ID"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"amlScreening": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"amount": "50.0",
"amountPaid": "50.0",
"amountUSD": "0.03382",
"asset": {
"address": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
"configurations": null,
"createdAt": "2025-04-17T04:50:20.008Z",
"currency": "NGN",
"decimals": 6,
"id": "b37c6961-1565-44f7-8a5a-c96ec754a4bc",
"isActive": true,
"isNative": false,
"name": "cNGN",
"network": "mainnet",
"standard": null,
"symbol": "cNGN",
"updatedAt": "2025-04-17T04:50:20.008Z"
},
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"blockHash": "0x6281485b1b148428cf2cd511aed48fd66db602aacfc8130bb0712e591c34e706",
"blockNumber": 41165815,
"blockchain": {
"configurations": null,
"createdAt": "2024-05-27T14:31:14.966Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "74733889-4ecd-403e-9840-94e87c043f24",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2024-11-26T20:04:13.945Z"
},
"chainId": 8453,
"confirmations": 221,
"confirmed": true,
"createdAt": "2026-01-22T22:29:28.679Z",
"createdChannel": "system",
"currency": "NGN",
"fee": null,
"feeHash": null,
"feeUSD": null,
"gasFee": "0.000000179550658988",
"gasPrice": "2538572",
"gasUsed": "70729",
"hash": "0xbe0c9a4dd314b6220c4eaae218003e753e948ce6183b5b92c764501e1b4e7c0a",
"id": "ad3ce9a3-3e1c-43dc-bb7f-2c570fc7bfdc",
"isAutoSweep": false,
"metadata": {
"autoFunding": {
"narration": "NIBSS:9018927611:SULEIMAN, ABDULFATAI:Sending:090267251107014024497001670835",
"senderAccountName": "SULEIMAN, ABDULFATAI",
"senderBankName": "KUDA MFB",
"sessionId": "09026725110701402449700167083590131815"
}
},
"network": "mainnet",
"note": "Auto funding of 50.0 cNGN to 0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"rate": null,
"rateUSD": "0.0006764",
"reason": null,
"recipientAddress": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"reference": "auto-funding-09026725110701402449700167083590131815",
"senderAddress": "0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4",
"signedTransaction": null,
"status": "SUCCESS",
"toAmount": null,
"toCurrency": null,
"tokenAddress": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
"type": "DEPOSIT",
"updatedAt": "2026-01-22T23:15:21.849Z"
}
]
Example:
"Virtual account transactions retrieved successfully"
Show child attributes
Show child attributes
Example:
200
⌘I

